Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel
Class RepeaterDefinition

    java.lang.Object
      org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
          org.apache.cocoon.forms.formmodel.AbstractContainerDefinition
              org.apache.cocoon.forms.formmodel.RepeaterDefinition

All Implemented Interfaces:
  ContainerDefinition, org.apache.cocoon.util.location.Locatable, WidgetDefinition

public class RepeaterDefinition
extends AbstractContainerDefinition

The `WidgetDefinition` part of a Repeater widget, see `Repeater` for more information.

Version:
  $Id: RepeaterDefinition.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractContainerDefinition
`definitions`

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`createListener, enclosingLibrary, parent`

Constructor Summary
`RepeaterDefinition(int initialSize, int minSize, int maxSize, boolean selectable, boolean orderable)`
`RepeaterDefinition(int initialSize, int minSize, int maxSize, boolean selectable, boolean orderable, boolean enhanced, int initialPage, int pageSize, String customPageId)`

Method Summary
`void` | `addRepeaterListener(RepeaterListener listener)`
`Widget` | `createInstance()` Creates and returns a widget based on this widget definition.
`void` | `fireRepeaterEvent(RepeaterEvent event)`
`String` | `getCustomPageId()`
`int` | `getInitialPage()`
`int` | `getInitialSize()`
`int` | `getMaxSize()`
`int` | `getMinSize()`
`boolean` | `getOrderable()`
`int` | `getPageSize()`
`RepeaterListener` | `getRepeaterListener()`
`boolean` | `hasRepeaterListeners()`
`void` | `initializeFrom(WidgetDefinition definition)` initialize this definition with the other, sort of like a copy constructor
`boolean` | `isEnhanced()`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractContainerDefinition
`addWidgetDefinition, checkCompleteness, createWidget, createWidgets, getWidgetDefinition, getWidgetDefinitions, hasWidget, resolve`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`addCreateListener, addValidator, checkMutable, fireCreateEvent, generateDisplayData, generateDisplayData, generateLabel, getAttribute, getEnclosingLibrary, getFormDefinition, getId, getLocation, getParent, getState, makeImmutable, setAttributes, setDisplayData, setEnclosingLibrary, setId, setLocation, setParent, setState, validate, widgetCreated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.forms.formmodel.WidgetDefinition
`generateDisplayData, generateDisplayData, generateLabel, getAttribute, getEnclosingLibrary, getFormDefinition, getId, getLocation, setEnclosingLibrary, setParent, validate`

Constructor Detail

### RepeaterDefinition

    public RepeaterDefinition(int initialSize,
                              int minSize,
                              int maxSize,
                              boolean selectable,
                              boolean orderable)

### RepeaterDefinition

    public RepeaterDefinition(int initialSize,
                              int minSize,
                              int maxSize,
                              boolean selectable,
                              boolean orderable,
                              boolean enhanced,
                              int initialPage,
                              int pageSize,
                              String customPageId)

Method Detail

### initializeFrom

    public void initializeFrom(WidgetDefinition definition)
                        throws Exception

  initialize this definition with the other, sort of like a copy constructor

  Specified by:
    `initializeFrom` in interface `WidgetDefinition`
  Overrides:
    `initializeFrom` in class `AbstractContainerDefinition`
  Throws:
    `Exception`

### createInstance

    public Widget createInstance()

  Description copied from interface: `WidgetDefinition`
  Creates and returns a widget based on this widget definition.

### getInitialSize

    public int getInitialSize()

### getMaxSize

    public int getMaxSize()

### getMinSize

    public int getMinSize()

### getOrderable

    public boolean getOrderable()

### addRepeaterListener

    public void addRepeaterListener(RepeaterListener listener)

### fireRepeaterEvent

    public void fireRepeaterEvent(RepeaterEvent event)

### hasRepeaterListeners

    public boolean hasRepeaterListeners()

### getRepeaterListener

    public RepeaterListener getRepeaterListener()

### getInitialPage

    public int getInitialPage()

### getPageSize

    public int getPageSize()

### isEnhanced

    public boolean isEnhanced()

### getCustomPageId

    public String getCustomPageId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.